# Uses of Class
java.lang.Character

Packages that use Character
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of Character in java.awt

Methods in java.awt with parameters of type Character
Modifier and Type
Method
Description
`static AWTKeyStroke`
AWTKeyStroke.`getAWTKeyStroke(Character keyChar, int modifiers)`
Returns a shared instance of an `AWTKeyStroke` that represents a `KEY_TYPED` event for the specified Character object and a set of modifiers.

## Uses of Character in java.lang

Classes in java.lang that implement interfaces with type arguments of type Character
Modifier and Type
Class
Description
`final class`
`Character`
The `Character` class is the wrapper class for values of the primitive type `char`.
Fields in java.lang with type parameters of type Character
Modifier and Type
Field
Description
`static final Class<Character>`
Character.`TYPE`
The `Class` instance representing the primitive type `char`.
Methods in java.lang that return Character
Modifier and Type
Method
Description
`static Character`
Character.`valueOf(char c)`
Returns a `Character` instance representing the specified `char` value.
Methods in java.lang that return types with arguments of type Character
Modifier and Type
Method
Description
`Optional<DynamicConstantDesc<Character>>`
Character.`describeConstable()`
Returns an `Optional` containing the nominal descriptor for this instance.
Methods in java.lang with parameters of type Character
Modifier and Type
Method
Description
`int`
Character.`compareTo(Character anotherCharacter)`
Compares two `Character` objects numerically.

## Uses of Character in java.lang.classfile

Methods in java.lang.classfile that return Character
Modifier and Type
Method
Description
`default Character`
AnnotationValue.OfChar.`resolvedValue()`
Returns the resolved char value.

## Uses of Character in java.util

Methods in java.util that return types with arguments of type Character
Modifier and Type
Method
Description
`Set<Character>`
Locale.`getExtensionKeys()`
Returns the set of extension keys associated with this locale, or the empty set if it has no extensions.

## Uses of Character in javax.management.openmbean

Fields in javax.management.openmbean with type parameters of type Character
Modifier and Type
Field
Description
`static final SimpleType<Character>`
SimpleType.`CHARACTER`
The `SimpleType` instance describing values whose Java class name is `java.lang.Character`.

## Uses of Character in javax.swing

Methods in javax.swing with parameters of type Character
Modifier and Type
Method
Description
`static KeyStroke`
KeyStroke.`getKeyStroke(Character keyChar, int modifiers)`
Returns a shared instance of a `KeyStroke` that represents a `KEY_TYPED` event for the specified Character object and a set of modifiers.